Axiomatic

Import Batches

Query aggregated import batch history or drill down into individual transactions within a batch.

List import batches or drill into a batch

GET
/api/import-batches
x-api-key<token>

API key for programmatic access

In: header

Query Parameters

entityId*string
Formatuuid
batchId?string

If provided, returns individual transactions within this batch

limit?integer
Default30
offset?integer
Default0

Response Body

application/json

application/json

curl -X GET "https://app.axiomatic.software/api/import-batches?entityId=497f6eca-6276-4993-bfeb-53cbbbba6f08"
{
  "batches": [
    {
      "importBatchId": "string",
      "importMethod": "PLAID",
      "count": 0,
      "minDate": "2019-08-24",
      "maxDate": "2019-08-24",
      "firstCreated": "2019-08-24T14:15:22Z",
      "unmatched": 0,
      "matched": 0,
      "confirmed": 0,
      "excluded": 0,
      "treasuryAccountId": "128de5b2-80c8-47a9-aa16-162cdce5c0cd",
      "treasuryAccountName": "string"
    }
  ]
}
{
  "error": "string"
}